﻿using Microsoft.EntityFrameworkCore;
using EFlib;

namespace StubEF
{
    public class StubEFChampions : SQLiteContext
    {
        /**** Attributs ****/


        /**** Méthodes ****/
        public StubEFChampions(DbContextOptions<SQLiteContext> options)
        : base(options)
        { }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);
            modelBuilder.Entity<EFChampion>().HasData(
                new EFChampion (1, "Akali", "maBio1", "monIcon1" ),
                new EFChampion (2, "Aatrox", "maBio2", "monIcon2" ),
                new EFChampion (3, "Ahri", "maBio3", "monIcon3" ),
                new EFChampion (4, "Akshan", "maBio4", "monIcon4"),
			    new EFChampion (5, "Bard", "maBio5", "monIcon5"),
			    new EFChampion (6, "Alistar", "maBio6", "monIcon6")
            );
        }
    }
}
